﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using ERPProdcution.WEB1.ServiceReference1;

namespace ERPProdcution.WEB1.Account
{
    public partial class Login : System.Web.UI.Page
    {
        /// <summary>
        /// Instància del servei
        /// </summary>
        ERPProductionClient servei = new ServiceReference1.ERPProductionClient();

        private PersonaEntity persona;
        private String URL;

        /// <summary>
        /// Page Load
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void Page_Load(object sender, EventArgs e)
        {
            UserName.Focus();
            
            if (!Page.IsPostBack)
            {
                persona = (PersonaEntity)Session["Usuari"];
                URL = (String)Session["url"];

            }
            else
            {   
                persona = (PersonaEntity)Session["Usuari"];
                URL = (String)Session["url"];
            }
        }

        /// <summary>
        /// 
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void Page_UnLoad(object sender, EventArgs e)
        {
            Session["Usuari"] = persona;
        }

        /// <summary>
        /// 
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void LoginButton_Click(object sender, EventArgs e)
        {
            FailureText.Text = "";
            
            int id_persona = 0;
            
            ///
            ///Validació del DNI de la Persona i la contrasenya)
            ///Si existeix ens retorna el DNI altrament retorna null
            ///

            id_persona = servei.validarLoginPersona(UserName.Text, Password.Text);
            

            if (id_persona != 0)
            {
                ///
                ///Persona validada
                ///
                persona = servei.buscarPersonaId(id_persona);
                               
                Session["Usuari"] = persona;

                if (URL != null && URL == "~/")
                {
                    Response.Redirect("~/Reservas.aspx");
                }
                else
                {
                    FailureText.Text = "Benvingut a ERPProduction.NET";
                    Response.Redirect("~/EspaiPersonal.aspx");
                }

            }
            else
            {
                ///
                /// usuari no validat
                /// 
                FailureText.Text = "Número de DNI o Contrasenya Incorrectes";
            }
        }
    }
}
