﻿<%@ Page Title="Canvi Contrasenya" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="CanviContrasenya.aspx.cs" Inherits="ERPProdcution.WEB1.CanviContrasenya" %>
<asp:Content ID="HeaderContent" runat="server" ContentPlaceHolderID="HeadContent">
</asp:Content>
<asp:Content ID="BodyContent" runat="server" ContentPlaceHolderID="MainContent">

    <h2>
        Canvi de Contrasenya
    </h2>
    <p>
        Indica la nova Contrasenya que vols utilitzar per entrar al WEB.
    </p>
    <p>
        La Contrasenya ha de tenir una longitud mímina de  <%= Membership.MinRequiredPasswordLength %> caràcters.
    </p>
            <span class="failureNotification">
                <asp:Literal ID="FailureText" runat="server"></asp:Literal>
            </span>
            <asp:ValidationSummary ID="ChangeUserPasswordValidationSummary" runat="server" CssClass="failureNotification" 
                 ValidationGroup="ChangeUserPasswordValidationGroup"/>
            <div class="accountInfo" runat ="server" id="accountInfo">
                <fieldset class="changePassword">
                    <legend>Informació Contrasenya</legend>
                    <p>
                        <asp:Label ID="CurrentPasswordLabel" runat="server" 
                            AssociatedControlID="CurrentPassword" Width="142px">Contrasenya Actual:</asp:Label>
                        <asp:TextBox ID="CurrentPassword" runat="server" CssClass="passwordEntry" TextMode="Password"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="CurrentPasswordRequired" runat="server" ControlToValidate="CurrentPassword" 
                             CssClass="failureNotification" ErrorMessage="La contrasenya és obligatoria." ToolTip="La contrasenya actual és obligatoria." 
                             ValidationGroup="ChangeUserPasswordValidationGroup">*</asp:RequiredFieldValidator>
                    </p>
                    <p>
                        <asp:Label ID="NewPasswordLabel" runat="server" 
                            AssociatedControlID="NewPassword" Width="123px">Nova Contrasenya:</asp:Label>
                        <asp:TextBox ID="NewPassword" runat="server" CssClass="passwordEntry" TextMode="Password"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="NewPasswordRequired" runat="server" ControlToValidate="NewPassword" 
                             CssClass="failureNotification" ErrorMessage="La nova contrasenya és obligatoria." ToolTip="La nova contrasenya és obligatoria." 
                             ValidationGroup="ChangeUserPasswordValidationGroup">*</asp:RequiredFieldValidator>
                    </p>
                    <p>
                        <asp:Label ID="ConfirmNewPasswordLabel" runat="server" 
                            AssociatedControlID="ConfirmNewPassword" Width="189px">Confirmar la nova contrasenya:</asp:Label>
                        <asp:TextBox ID="ConfirmNewPassword" runat="server" CssClass="passwordEntry" TextMode="Password"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="ConfirmNewPasswordRequired" runat="server" ControlToValidate="ConfirmNewPassword" 
                             CssClass="failureNotification" Display="Dynamic" ErrorMessage="Confirmar la nueva contrasenya és obligatori"
                             ToolTip="Confirmar la nova contrasenya és obligatori" ValidationGroup="ChangeUserPasswordValidationGroup">*</asp:RequiredFieldValidator>
                        <asp:CompareValidator ID="NewPasswordCompare" runat="server" ControlToCompare="NewPassword" ControlToValidate="ConfirmNewPassword" 
                             CssClass="failureNotification" Display="Dynamic" ErrorMessage="Confirmar la nova contrasenya ha de coïncidir amb la nova entrada de contrasenya."
                             ValidationGroup="ChangeUserPasswordValidationGroup">*</asp:CompareValidator>
                    </p>
                </fieldset>

                <p class="submitButton">
                    <asp:Button ID="CancelPushButton" runat="server" CausesValidation="False" 
                        CommandName="Cancel" Text="Cancelar" Font-Names="Calibri" 
                        onclick="CancelPushButton_Click"/>
                        &nbsp;&nbsp;&nbsp;
                    <asp:Button ID="ChangePasswordPushButton" runat="server" 
                        CommandName="ChangePassword" Text="Canviar contrasenya" 
                         ValidationGroup="ChangeUserPasswordValidationGroup" 
                        Font-Names="Calibri" onclick="ChangePasswordPushButton_Click"/>
                </p>
            </div>

</asp:Content>
