﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using ERPProdcution.WEB1.ServiceReference1;

namespace ERPProdcution.WEB1
{
    /// <summary>
    /// 
    /// </summary>
    public partial class SiteMaster : System.Web.UI.MasterPage
    {
        private PersonaEntity persona;
        /// <summary>
        /// Page Load
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void Page_Load(object sender, EventArgs e)
        {
            persona = (PersonaEntity)Session["Usuari"];

            if (persona != null)
            {
                usuariRegistrat();
            }
            else
            {
                usuariAnonim();
            }

        }

        /// <summary>
        /// 
        /// </summary>
        protected void usuariRegistrat()
        {
            HeadName.Text = "Usuari: " + persona.Nom + ", " + persona.Cognom1;
            HeadLogin.Visible = false;
            HeadLogout.Visible = false;
            HeadAccount.Visible = true;
            btnLogout.Visible = true;

        }

        /// <summary>
        /// 
        /// </summary>
        protected void usuariAnonim()
        {
            HeadName.Text = "Espai personal: ";
            HeadLogin.Visible = true;
            HeadLogout.Visible = false;
            HeadAccount.Visible = false;
            btnLogout.Visible = false;

        }

        protected void btnLogout_Click(object sender, EventArgs e)
        {
            Session.Clear();
            persona = null;
            usuariAnonim();
            Response.Redirect("~/Account/Login.aspx");
        }
  

    }
}
