﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Controls;
using System.Windows;
using ERPProduction.WPF.Interface;


namespace ERPProduction.WPF.Util
{
    /// <summary>
    /// Classe que s'encarrega de intercambiar dos controls d'usuari WPF que implementen la interficie ISwitachable
    /// </summary>
    public static class Switcher
    {
        public static MainWindow controlSwitcher;
        private static UserControl oldControl;

        public static void Switch(UserControl newPage)
        {
            controlSwitcher.Navigate(newPage);
            oldControl = newPage;
        }

        public static void Switch(UserControl newPage, object state)
        {
            controlSwitcher.Navigate(newPage, state);
        }
    }
}
