﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using ERPProdcution.WEB1.ServiceReference1;

namespace ERPProdcution.WEB1.Account
{
    public partial class ChangePassword : System.Web.UI.Page
    {
        /// <summary>
        /// Instància del servei.
        /// </summary>
        ERPProductionClient servei = new ServiceReference1.ERPProductionClient();
        private PersonaEntity persona;

        protected void Page_Load(object sender, EventArgs e)
        {
            persona = (PersonaEntity)Session["Usuari"];
        }

        /// <summary>
        /// Button Canvi de Contrasenya 
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void Button1_Click(object sender, EventArgs e)
        {
            if (persona.Contrasenya != CurrentPassword.Text )
            {
                FailureText.Text = "Contrasenya actual incorrecta";
            }
            else
            {
                
                
                servei.canviContrasenyaPersonaWeb(persona.ID_Persona, persona.Contrasenya);

                persona = servei.buscarPersonaId(persona.ID_Persona);
                Session["Usuari"] = persona;
                    
                FailureText.Text = "Contrasenya canviada correctament ";
                accountInfo.Visible = false;
                ChangePasswordPushButton.Visible = false;
                
            }

        }


        /// <summary>
        /// Button Cancel retorn Esapi Personal
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void CancelPushButton_Click(object sender, EventArgs e)
        {
            Response.Redirect("~/EspaiPersonal.aspx");
        }
    }
}
