﻿<%@ Page Title="Iniciar Sessió" Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="True"
    CodeBehind="Login.aspx.cs" Inherits="ERPProdcution.WEB1.Account.Login" %>

<asp:Content ID="HeaderContent" runat="server" ContentPlaceHolderID="HeadContent">
</asp:Content>
<asp:Content ID="BodyContent" runat="server" ContentPlaceHolderID="MainContent">
    <h2>
        Iniciar sessió
    </h2>
    <p>
        Especifiqui el seu DNI i la contrasenya.
        <asp:HyperLink ID="RegisterHyperLink" runat="server" EnableViewState="false">Registrar-se</asp:HyperLink> si no té cap compte.
    </p>
   
            <span class="failureNotification">
                <asp:Literal ID="FailureText" runat="server"></asp:Literal>
            </span>
            <asp:ValidationSummary ID="LoginUserValidationSummary" runat="server" CssClass="failureNotification" 
                 ValidationGroup="LoginUserValidationGroup"/>
            <div class="accountInfo">
                <fieldset class="login">
                    <legend>Informació del compte</legend>
                    <p>
                        <asp:Label ID="UserNameLabel" runat="server" AssociatedControlID="UserName">DNI del Usuari:</asp:Label>
                        <asp:TextBox ID="UserName" runat="server" MaxLength="8" Width="320px" 
                            ToolTip="Introdueix el teu DNI"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="UserNameRequired" runat="server" ControlToValidate="UserName" 
                             CssClass="failureNotification" ErrorMessage="El DNI d'usuari es obligatori." ToolTip="El DNI d'usuari es obligatori." 
                             ValidationGroup="LoginUserValidationGroup">*</asp:RequiredFieldValidator>
                    </p>
                    <p>
                        <asp:Label ID="PasswordLabel" runat="server" AssociatedControlID="Password">Contrasenya:</asp:Label>
                        <asp:TextBox ID="Password" runat="server" CssClass="passwordEntry" TextMode="Password"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="PasswordRequired" runat="server" ControlToValidate="Password" 
                             CssClass="failureNotification" ErrorMessage="La contrasenya és obligatoria." ToolTip="La contrasenya és obligatoria." 
                             ValidationGroup="LoginUserValidationGroup">*</asp:RequiredFieldValidator>
                    </p>
                    <p>
                        <asp:CheckBox ID="RememberMe" runat="server"/>
                        <asp:Label ID="RememberMeLabel" runat="server" AssociatedControlID="RememberMe" CssClass="inline">Mantenir-me connectat</asp:Label>
                    </p>
                </fieldset>
                <p class="submitButton">
                    <asp:Button ID="LoginButton" runat="server" CommandName="Login" 
                        Text="Iniciar sessió" ValidationGroup="LoginUserValidationGroup" 
                        onclick="LoginButton_Click" Font-Names="Calibri"/>
                </p>
            </div>

<asp:Label ID="lblError" runat="server"></asp:Label>
</asp:Content>
