﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using ERPProdcution.WEB1.ServiceReference1;

namespace ERPProdcution.WEB1
{
    public partial class EspaiPersonal : System.Web.UI.Page
    {
        /// <summary>
        /// Instància del servei
        /// </summary>
        ERPProductionClient servei = new ServiceReference1.ERPProductionClient();

        private PersonaEntity persona;
        private int pageIndexAnt = 0;

        /// <summary>
        ///     Load Page 
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void Page_Load(object sender, EventArgs e)
        {
            string pAnt = "";
            pAnt = (string)Session["URL"];
            persona = (PersonaEntity)Session["Usuari"];

            if (persona != null)
            {
                lblID.Text = "ID: " + persona.ID_Persona.ToString();
                lblNom.Text = "Nom: " + persona.Nom;
                lblCognoms.Text = "Cognoms: " + persona.Cognom1 + " " + persona.Cognom2;
                lblDireccio.Text = "Direcció: " + persona.Direccio;
                lblPoblacio.Text = "Població: " + persona.Poblacio;
                lblCodiPostal.Text = "Codi Postal: " + persona.CodiPostal;
                lblProvincia.Text = "Província: " + persona.Provincia;
                lblPais.Text = "Pais: " + persona.Pais;
                lblTelefon.Text = "Telèfon: " + persona.Telefon;
                lblEmail.Text = "eMail: " + persona.eMail;
                lblPerfil.Text = "Perfil: " + persona.ID_Perfil.ToString();
                lblContrasenya.Text = "Contrasenya: " + persona.Contrasenya;   
            }

            //pagina actual
            Session["url"] = "EspaiPersonal";
        }

        protected void Tornar_Click(object sender, EventArgs e)
        {
            Response.Redirect("~/Default.aspx");
        }

        protected void CanviContrasenya_Click(object sender, EventArgs e)
        {
            Response.Redirect("~/CanviContrasenya.aspx");
        }
    }
}